DOM::NamedNodeMap class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::NamedNodeMap Class Reference

Objects implementing the `NamedNodeMap` interface are used to represent collections of nodes that can be accessed by name. More...

`#include <dom_node.h>`

List of all members.

## Public Member Functions
| NamedNodeMap (const NamedNodeMap &other)
NamedNodeMap & | operator= (const NamedNodeMap &other)
unsigned long | length () const
| The number of nodes in the map.
Node | getNamedItem (const DOMString &name) const
| Retrieves a node specified by name.
Node | setNamedItem (const Node &arg)
| Adds a node using its `nodeName` attribute.
Node | removeNamedItem (const DOMString &name)
| Removes a node specified by name.
Node | item (unsigned long index) const
| Returns the `index` th item in the map.
Node | getNamedItemNS (const DOMString &namespaceURI, const DOMString &localName) const
| Introduced in DOM Level 2.
Node | setNamedItemNS (const Node &arg)
| Introduced in DOM Level 2.
Node | removeNamedItemNS (const DOMString &namespaceURI, const DOMString &localName)
| Introduced in DOM Level 2.
NamedNodeMapImpl * | handle () const throw ()
bool | isNull () const throw ()
## Protected Member Functions
| NamedNodeMap (NamedNodeMapImpl *i)
## Protected Attributes
NamedNodeMapImpl * | impl
## Friends
class | Node
class | DocumentType
class | NodeImpl

## Detailed Description

Objects implementing the `NamedNodeMap` interface are used to represent collections of nodes that can be accessed by name.

Note that `NamedNodeMap` does not inherit from `NodeList` ; `NamedNodeMap` s are not maintained in any particular order. Objects contained in an object implementing `NamedNodeMap` may also be accessed by an ordinal index, but this is simply to allow convenient enumeration of the contents of a `NamedNodeMap` , and does not imply that the DOM specifies an order to these Nodes.

Definition at line 61 of file dom_node.h.

## Member Function Documentation

unsigned long NamedNodeMap::length | ( |  | ) | const

| The number of nodes in the map. The range of valid child node indices is 0 to `length-1` inclusive. Definition at line 119 of file dom_node.cpp.

Node NamedNodeMap::getNamedItem | ( | const DOMString & | name | ) | const

  | Retrieves a node specified by name. Parameters:
  name | Name of a node to retrieve.
Returns: A `Node` (of any type) with the specified name, or `null` if the specified name did not identify any node in the map. Definition at line 67 of file dom_node.cpp. References getNamedItemNS(), and KStdAccel::name().

Node NamedNodeMap::setNamedItem | ( | const Node & | arg | ) |

  | Adds a node using its `nodeName` attribute. As the `nodeName` attribute is used to derive the name which the node must be stored under, multiple nodes of certain types (those that have a "special" string value) cannot be stored as the names would clash. This is seen as preferable to allowing nodes to be aliased. Parameters:
  arg | A node to store in a named node map. The node will later be accessible using the value of the `nodeName` attribute of the node. If a node with that name is already present in the map, it is replaced by the new one.
  Returns: If the new `Node` replaces an existing node with the same name the previously existing `Node` is returned, otherwise `null` is returned. Exceptions:
  DOMException | WRONG_DOCUMENT_ERR: Raised if `arg` was created from a different document than the one that created the `NamedNodeMap` .
NO_MODIFICATION_ALLOWED_ERR: Raised if this `NamedNodeMap` is readonly. INUSE_ATTRIBUTE_ERR: Raised if `arg` is an `Attr` that is already an attribute of another `Element` object. The DOM user must explicitly clone `Attr` nodes to re-use them in other elements. Definition at line 72 of file dom_node.cpp. References setNamedItemNS().

Node NamedNodeMap::removeNamedItem | ( | const DOMString & | name | ) |

  | Removes a node specified by name. If the removed node is an `Attr` with a default value it is immediately replaced. Parameters:
  name | The name of a node to remove.
  Returns: The node removed from the map or `null` if no node with such a name exists. Exceptions:
  DOMException | NOT_FOUND_ERR: Raised if there is no node named `name` in the map.
Definition at line 77 of file dom_node.cpp. References KStdAccel::name(), and removeNamedItemNS().

Node NamedNodeMap::item | ( | unsigned long | index | ) | const

  | Returns the `index` th item in the map. If `index` is greater than or equal to the number of nodes in the map, this returns `null` . Parameters:
  index | Index into the map.
Returns: The node at the `index` th position in the `NamedNodeMap` , or `null` if that is not a valid index. Definition at line 82 of file dom_node.cpp.

Node NamedNodeMap::getNamedItemNS | ( | const DOMString & | namespaceURI,
|  | const DOMString & | localName
| ) | const

  | Introduced in DOM Level 2. Retrieves a node specified by local name and namespace URI. HTML-only DOM implementations do not need to implement this method. Parameters:
  namespaceURI | The namespace URI of the node to retrieve.
  localName | The local name of the node to retrieve.
Returns: A Node (of any type) with the specified local name and namespace URI, or null if they do not identify any node in this map. Definition at line 88 of file dom_node.cpp. Referenced by getNamedItem().

Node NamedNodeMap::setNamedItemNS | ( | const Node & | arg | ) |

  | Introduced in DOM Level 2. Adds a node using its namespaceURI and localName. If a node with that namespace URI and that local name is already present in this map, it is replaced by the new one. HTML-only DOM implementations do not need to implement this method. Parameters:
  arg | A node to store in this map. The node will later be accessible using the value of its namespaceURI and localName attributes.
  Returns: If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned. Exceptions:
  DOMException | WRONG_DOCUMENT_ERR: Raised if arg was created from a different document than the one that created this map.
NO_MODIFICATION_ALLOWED_ERR: Raised if this map is readonly. INUSE_ATTRIBUTE_ERR: Raised if arg is an Attr that is already an attribute of another Element object. The DOM user must explicitly clone Attr nodes to re-use them in other elements. Definition at line 94 of file dom_node.cpp. References DOM::Node::impl. Referenced by setNamedItem().

Node NamedNodeMap::removeNamedItemNS | ( | const DOMString & | namespaceURI,
|  | const DOMString & | localName
| ) |

  | Introduced in DOM Level 2. Removes a node specified by local name and namespace URI. A removed attribute may be known to have a default value when this map contains the attributes attached to an element, as returned by the attributes attribute of the Node interface. If so, an attribute immediately appears containing the default value as well as the corresponding namespace URI, local name, and prefix when applicable. HTML-only DOM implementations do not need to implement this method. Parameters:
  namespaceURI | The namespace URI of the node to remove.
  localName | The local name of the node to remove.
  Returns: The node removed from this map if a node with such a local name and namespace URI exists. Exceptions:
  DOMException | NOT_FOUND_ERR: Raised if there is no node with the specified namespaceURI and localName in this map.
NO_MODIFICATION_ALLOWED_ERR: Raised if this map is readonly. Definition at line 104 of file dom_node.cpp. Referenced by removeNamedItem().

The documentation for this class was generated from the following files:

- dom_node.h
- dom_node.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:36:08 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001